#### PyKDE - Python Bindings for KDE

# class KFilePermissionsPropsPlugin

Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KFilePermissionsPropsPlugin
Inherits | KPropsDlgPlugin

### enums

- PermissionsMode = {PermissionsOnlyFiles = 0, PermissionsOnlyDirs = 1, PermissionsOnlyLinks = 2, PermissionsMixed = 3 }
- PermissionsTarget = {PermissionsOwner = 0, PermissionsGroup = 1, PermissionsOthers = 2 }

### methods

- KFilePermissionsPropsPlugin (_props)

  returns a KFilePermissionsPropsPlugin instance

  Argument | Type | Default
  --- | --- | ---
  _props | KPropertiesDialog |

- applyChanges ()

  returns nothing

- supports (_items)

  returns (bool)
  static

  Argument | Type | Default
  --- | --- | ---
  _items | KFileItemList |